{
    num: -518,
    accuracy: 95,
    basePower: 90,
    category: "Special",
    name: "Updraft",
    pp: 5,
    priority: 0,
    flags: { protect: 1, reflectable: 1, mirror: 1, allyanim: 1, metronome: 1 },
    onTryHit(target) {
      if (target.getAbility().flags["cantsuppress"] || target.ability === "simple" || target.ability === "truant") {
        return false;
      }
    },
    onHit(pokemon) {
      const oldAbility = pokemon.setAbility("levitate");
      if (oldAbility) {
        this.add("-ability", pokemon, "Levitate", "[from] move: Updraft");
        return;
      }
      return oldAbility;
    },
    secondary: null,
    target: "normal",
    type: "Flying",
    zMove: { boost: { spa: 1 } },
    contestType: "Cute"
}